/*
 *  ByteSpectrum.cpp
 *  libsadppac
 *
 *  Created by Futaana Yoshifumi on 07/10/05.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#include "IrfPac/ByteSpectrum.h"

namespace IrfPac{

uint16_t* byteSpectrum(uint8_t *stream, size_t number_of_stream){
	uint16_t* spectra=new uint16_t[256];
	for(int i=0; i<256; i++){
		spectra[i]=0;
	}

	for(unsigned int i=0; i<number_of_stream; i++){
		spectra[stream[i]]++;
	}

	return spectra;
}


}

