#include<iostream>
#include<cstdlib>
#include<IrfPac/irfpac.h>
#include<IrfPac/SaraPac/sarapac.h>
#include<IrfPac/SaraPac/AscFmt/ascfmt.h>

using namespace std;
using namespace IrfPac;
using namespace IrfPac::SaraPac;
using namespace IrfPac::SaraPac::AscFmt;


int main(int argc, char* argv[]){

	if(argc==1){
		fprintf(stdout, "USAGE:  %s   filename.swim\n", argv[0]);
		exit(-10);
	}

	SwimBmuReader sr;
	sr.readFile(argv[1]);

	SwimPacketArray * spac=sr.getArray();

	for(int i=0; i<spac->size(); i++){
		SwimPacket* sp = spac->getPacket(i);
		fprintf(stdout, "%f %d\n", sp->getUtc(), sp->getQualityFlag());
		delete sp;
	}

	return 0;
}

