#include<cppunit/ui/text/TestRunner.h>
#include<iostream>
using namespace std;

#include<cppunit/extensions/HelperMacros.h>

#include"IrfPac/irfpac.h"
#include"IrfPac/SaraPac/sarapac.h"
#include"CenaCompressedPacketSample.h"

using namespace IrfPac;
using namespace IrfPac::SaraPac;

class CenaMatrix_test : public CPPUNIT_NS::TestFixture {
	
	CPPUNIT_TEST_SUITE (CenaMatrix_test);
	CPPUNIT_TEST(testDecompression);
	CPPUNIT_TEST_SUITE_END();

protected:
	
	void testDecompression();
};


void CenaMatrix_test::testDecompression(){

	// CenaMatrix is created manually.
	
	CenaMatrix *pac=new CenaMatrix(raw_packet, raw_packet_size);
	
	pac->dumpAll(stdout);
		
	fprintf(stdout, "---- decompression ----\n");
	CenaMatrix *depac=pac->decompress();
	
	depac->dumpAll(stdout);

}


CPPUNIT_TEST_SUITE_REGISTRATION(CenaMatrix_test);

