/*
 *  CenaSciTofAcc.cpp
 *  libsadppac
 *
 *  Created by Futaana Yoshifumi on 07/06/26.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#include "IrfPac/SaraPac/CenaSciTofAcc.h"
#include <linlog++.h>

namespace IrfPac{
namespace SaraPac{

CenaSciTofAcc::CenaSciTofAcc(uint8_t *pac, int nEnergy, int nTof)
: CenaScienceDataPacket(pac, nEnergy*nTof){
	_ne=nEnergy;
	_ntof=nTof;
}


uint8_t CenaSciTofAcc::getRaw(int iE, int iT){
	int index = iE*_ntof+iT;
	return getValue(index);
}

uint16_t CenaSciTofAcc::get(int iE, int iT){
	uint8_t raw=getRaw(iE, iT);
	return log8tolinear16(raw);
}




// End of namespaces
}}

