#include<iostream>
using namespace std;

#include<cppunit/extensions/HelperMacros.h>

#include"IrfPac/irfpac.h"
#include"IrfPac/SaraPac/sarapac.h"

using namespace IrfPac;
using namespace IrfPac::SaraPac;

class CenaSciTofAcc_test : public CPPUNIT_NS::TestFixture {
	
public:
		CPPUNIT_TEST_SUITE(CenaSciTofAcc_test);
		CPPUNIT_TEST(testDirectInstance);
		CPPUNIT_TEST_SUITE_END();
	
	void testDirectInstance();
	
	
	
};


void CenaSciTofAcc_test::testDirectInstance(){
	// Assuming E=4, Tof=128

	uint8_t stream[4*128];
	for(int i=0; i<4*128; i++){
		stream[i]=i;
	}

	CenaSciTofAcc cena=CenaSciTofAcc(stream, 4, 128);
	
	cout << (int)cena.getSize() << endl;
	CPPUNIT_ASSERT_EQUAL(4*128, (int)cena.getSize());
	
}

CPPUNIT_TEST_SUITE_REGISTRATION(CenaSciTofAcc_test);

