package sadppactest;
import sadppac.*;

public class CenaPacketTest {

    static{
	System.loadLibrary("sadppacjava");
    }

    public CenaPacketTest(){
	System.out.println("Sample of CenaPacket");

	////// Creation of CenaPacket.
	//// First, you make binary array.
	SWIGTYPE_p_unsigned_char ba=Sadppac.new_uint8arr(300);
	for(int i=0; i<300; i++) Sadppac.uint8arr_setitem(ba, i, (short)(i%256));

	//// Then, you can instance CenaPacket
	CenaPacket c = new CenaPacket(ba, 300);
	
	////// Obtain contents.
	System.out.println("MAGIC NUMBER=0x00010203(=66051)? "+c.getHeadMagicNumber());
	System.out.println("SIZE=300? "+c.getSize());


	////// Obtain stream
//	SWIGTYPE_p_unsigned_char strb = c.getStream();
//	for(int i=0; i<300; i++) System.out.println("Stream "+(i%256)+"? "+Sadppac.uint8arr_getitem(strb, i));

	
	c.dumpAll();
	
	////// Obtain static const value
	System.out.println("static const TMMODE_NON_PROCESS=0x01? "+CenaPacket.TMMODE_NON_PROCESS);
  

    }


    public static void main(String[] argv){
	new CenaPacketTest();

    }



}

