package sadppactest;

import sadppac.*;

public class ObtTimeConversionTest {

    static{
	System.loadLibrary("sadppacjava");
    }

    public ObtTimeConversionTest(String filename){
	System.out.println(filename);

	// Instance the SaraAscFile
	SaraAscFile asc = new SaraAscFile(filename);

	if(!asc.openStream()){
	    throw new RuntimeException("Failed to open file "+filename+".");
	}

	// Instance the demultiplexor
	SaraBufferedDemultiplexor demul=new SaraBufferedDemultiplexor();

//	System.out.println("STOP COUNTER: "+CenaAccumSclMatx.STOP_COUNTER);

	int iSara=0;
	while( ! asc.eof() ){
//	    System.out.println(iSara);
	    SaraPacket saraPac = asc.getSaraPacket();

	    if(saraPac != null){

		demul.appendSaraPacket(saraPac);
		CenaPacket cPac = demul.getCena();
		if(cPac != null){
		    System.out.printf("0x%016x\n", cPac.getObtTime());
		}
	    }

	    iSara++;
	}
    }

    public static void main(String[] argv){
	String filename="data/081208_fm_commission_sci.dat";

	if(argv.length > 0){
	    filename = argv[0];
	}

	new ObtTimeConversionTest(filename);
    }



}

