/*
 *  ByteSpectrum_test.cpp
 *  libsadppac
 *
 *  Created by Futaana Yoshifumi on 07/10/05.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#include<iostream>
using namespace std;

#include<cppunit/extensions/HelperMacros.h>

#include"IrfPac/ByteSpectrum.h"

using namespace IrfPac;

class ByteSpectrum_test : public CPPUNIT_NS::TestFixture {

	CPPUNIT_TEST_SUITE ( ByteSpectrum_test );
	CPPUNIT_TEST (test_instance);
	CPPUNIT_TEST_SUITE_END();

public:
	void setUp(){};
	void tearDown(){};

protected:
	void test_instance(){
		uint8_t barr[]={0,1,0,2,0,3};
			
		uint16_t* result=byteSpectrum(barr,6);
			
//		for(int i=0; i<256; i++){
//			std::cout << i << "\t" << result[i] << std::endl;
//		}
			
		CPPUNIT_ASSERT_EQUAL(3, (int)result[0]);
		CPPUNIT_ASSERT_EQUAL(1,(int) result[1]);
		CPPUNIT_ASSERT_EQUAL(1,(int) result[2]);
		CPPUNIT_ASSERT_EQUAL(1, (int)result[3]);
		for(int i=4; i<256; i++)CPPUNIT_ASSERT_EQUAL(0, (int)result[i]);

		delete result;
	}

};

CPPUNIT_TEST_SUITE_REGISTRATION(ByteSpectrum_test);


