#include<iostream>
#include <cstdlib>
#include<IrfPac/irfpac.h>
#include<IrfPac/SaraPac/sarapac.h>
#include<IrfPac/SaraPac/AscFmt/ascfmt.h>

using namespace std;
using namespace IrfPac;
using namespace IrfPac::SaraPac;
using namespace IrfPac::SaraPac::AscFmt;


int main(int argc, char* argv[]){

	if(argc==1){
		fprintf(stdout, "USAGE:  %s   filename.cena\n", argv[0]);
		exit(-10);
	}

	CenaBmuReader sr;
	sr.readFile(argv[1]);

	CenaPacketArray* cpac=sr.getArray();

	for(size_t i=0; i<cpac->size(); i++){
		CenaPacket* cp=cpac->getPacket(i);
		fprintf(stdout, "%s %15.3f %5d\n", cp->hash().c_str(), cp->getUtc(), cp->getQualityFlag());
		delete cp;
	}

	delete cpac;

	return 0;
}

