#include<iostream>
using namespace std;

#include<cppunit/extensions/HelperMacros.h>

#include"IrfPac/irfpac.h"
#include"IrfPac/SaraPac/sarapac.h"

using namespace IrfPac;
using namespace IrfPac::SaraPac;

class SaraHkConversion_test : public CPPUNIT_NS::TestFixture {

  public:

  CPPUNIT_TEST_SUITE(SaraHkConversion_test);
  CPPUNIT_TEST(testInstance);
  CPPUNIT_TEST_SUITE_END();

  void testInstance(){
    cout << endl;
    SaraHkConversion* cal = 
    SaraHkConversion::getConversionFunctions(
                  SaraHkConversion::TABLE_GROUND_CALIBRATION);
    cout << cal->getName() << endl;
    string expected="ConversionTableFromGroundCalibration";
    CPPUNIT_ASSERT_EQUAL(expected, cal->getName());
  }


};

CPPUNIT_TEST_SUITE_REGISTRATION(SaraHkConversion_test);
