#include<iostream>
#include"SaraPacket.h"

using namespace std;
using namespace IrfPac;
using namespace IrfPac::SaraPac;

int main( void){
	uint32_t str[30];
	for(int i=0; i<30; i++){
		str[i]=i;
	}

	IrfPac::PacketU32Arr pac(str, 30);

	std::cout << (int)getByteAt(pac, 11) << std::endl;   // 2
	std::cout << (int)getByteAt(pac, 119) << std::endl;   // 29
	try{
		std::cout << (int)IrfPac::SaraPac::getByteAt(pac, 120) << std::endl; 
		std::cout << "NG, HERE NOT COME" << std::endl;
	}
	catch(const char* e){
		std::cout << "OK, HERE COMES" << std::endl;
	}

	for(int i=0; i<30; i++){
		str[i]=i+(1<<i);
	}

	IrfPac::PacketU32Arr pac2(str, 30);
	pac2.dumpHexStream(stdout);

	std::cout << (int) IrfPac::SaraPac::getWordAt(pac2, 6) << std::endl;    // 6

	std::cout << (int) IrfPac::SaraPac::getWordAt(pac2, 59) << std::endl;    // 2

	

	return 0;
}
