/*
 *  SwimRawModeData.cpp
 *  libsadppac
 *
 *  Created by Martin Wieser on 09/12/02.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */
#include<sstream>

#include "IrfPac/SaraPac/SwimRawModeData.h"

namespace IrfPac{
namespace SaraPac{

SwimRawModeData::SwimRawModeData(uint8_t* stream) : PacketU8Arr(stream, RAW_PACKET_SIZE*RAW_PACKETS){
	_dump=new SwimRawModeDataAllDump();
}

SwimRawModeData::~SwimRawModeData(){
	delete _dump;
}


void SwimRawModeData::dumpAll(FILE* fp){
	_dump->dump(fp, this);
}

void SwimRawModeData::dump(FILE* fp, SwimRawModeDataDump *dump){
	dump->dump(fp, this);
}

void SwimRawModeDataAllDump::dump(FILE* fp, SwimRawModeData* matx){
	fprintf(fp, "..... HEX DUMP .....\n");
	matx->dumpHexStream(fp);
}

}
}
