#include"IrfPac/irfpac.h"
#include"IrfPac/packetbytearr.h"

using namespace std;
using namespace IrfPac;


int main(void){

	uint8_t stream[35];

	for(int i=0; i<35; i++){
		stream[i] = i*15;
	}
	
 	PacketByteArr pac(stream, 35);

	cout << pac.getSize() << endl;

	pac.dumpHexStream(stdout);

	FILE* fp=fopen("results.out", "wb");
	cout << fp << endl;
	pac.dumpByteStream(fp);
	fclose(fp);
	uint8_t* contents = pac.getStream();

	cout << "TEST" << endl;
	printf("%p %p\n", &contents[0], &stream[0]);
	if(contents == stream){     // Same address ?
		cerr << "Returned pointer is the same as the input pointer." << endl;
	}

	for(int i=0; i<35; i++){
		if(contents[i] != stream[i]){
		}

	}

	if(contents != NULL){
		delete[] contents;    // You need to explicitly delete the contents.
		contents=NULL;
	}

 	for(int i=0; i<100000000; i++){
 		if(i%100000==0)cout<<i<<endl;
 		uint8_t* stre=pac.getStream();
//  This is a test for memory leaking.
//  If you de-comment-out the following, it should work.
 		if(stre !=NULL)delete[] stre;
 	}

	return 0;
}
