#ifndef IRFPACPACKETINT32ARR_H
#define IRFPACPACKETINT32ARR_H

#include "IrfPac/generalpacket.h"

namespace IrfPac {

/**	@brief Implementaion of GeneralPacket: initialization and internal structure by uint32_t array.
 * 	@deprecated Use PacketU32Arr

	@author	FUTAANA
*/
class PacketInt32Arr : public GeneralPacket
{
public:
    PacketInt32Arr(uint32_t *stream, int nIndex);

    virtual ~PacketInt32Arr();
    virtual uint8_t* getStream(void);
    virtual size_t dumpByteStream( FILE*);
    virtual size_t dumpHexStream( FILE* fp);
    virtual size_t getSize();
    virtual size_t getIndexSize();
    virtual uint32_t* getValues(void);
    virtual uint32_t getValue(size_t index);

private:
	uint8_t* split2byte(uint32_t val);
	uint32_t *contents;
	size_t size;
	size_t nind;
	static const size_t bytes=4;
};

}

#endif
